{*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
*
*  @author    Veebipoed.ee, SEB Payment Gateway
*  @copyright 2015 Veebipoed.ee, SEB Payment Gateway
*  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*}
{*{extends "$layout"}*}
{*identical line was causing template loading failure in payment_execution.tpl *}

{block name="content"}

{capture name=path}
	{l s='SEB Payment Gateway Return' mod='sebpaymentgateway'}
{/capture}
{if $transaction_result == 'cancelled'}
	<p class="alert alert-danger">
		{l s='Transaction has been cancelled!' mod='sebpaymentgateway'}
	</p>
{elseif $under_paid == true}
	<p class="alert alert-danger">
		{l s='There was a problem with the payment amount, please contact customer service.' mod='sebpaymentgateway'}
	</p>
	{if isset($order_info_url)}
		<a class="sebpaymentgatewayButton" id="orderInfoButton" href="{$order_info_url}" target="_parent">{l s='Order info' mod='sebpaymentgateway'}</a>
	{/if}
{elseif $over_paid == true}
	<p class="alert alert-info">
		{l s='There was a problem with the payment amount, please contact customer service.' mod='sebpaymentgateway'}
	</p>
	{if isset($order_info_url)}
		<a class="sebpaymentgatewayButton" id="orderInfoButton" href="{$order_info_url}" target="_parent">{l s='Order info' mod='sebpaymentgateway'}</a>
	{/if}
{elseif $transaction_result == 'completed' || $transaction_result == 'settled'}
	<p class="alert alert-success">
		{l s='Your order has been completed successfully!' mod='sebpaymentgateway'}
		<a id="orderNextButton" class="sebpaymentgatewayButton" href="{$order_conf_url}" target="_parent">{l s='Next' mod='sebpaymentgateway'}</a>
	</p>
{else}
	<p class="alert alert-danger">
		{l s='Error: transaction has not been completed!' mod='sebpaymentgateway'}<br>
	</p>
	{if isset($opc) && $opc}
	<a class="sebpaymentgatewayButton" href="{$link->getPageLink('order-opc', true, NULL, "submitReorder&id_order={$order_reference}")}" target="_parent">{l s='Restore shopping cart' mod='sebpaymentgateway'}</a>
	{else}
	<a class="sebpaymentgatewayButton" href="{$link->getPageLink('order', true, NULL, "submitReorder&id_order={$order_reference}")}" target="_parent">{l s='Restore shopping cart' mod='sebpaymentgateway'}</a>
	{/if}
	
{/if}
	<script>
		{if $is_iframe}
			document.addEventListener('DOMContentLoaded', function() {
				var breadcrumbs = document.getElementsByClassName('breadcrumb_wrapper');
				var headers = document.getElementsByTagName('header');
				var footers = document.getElementsByTagName('footer');
				for (var b = 0; b < breadcrumbs.length; b++) {
					breadcrumbs[b].style.display = 'none';
				}

				for (var h = 0; h < headers.length; h++) {
					headers[h].style.display = 'none';
				}
				for (var f = 0; f < footers.length; f++) {
					footers[f].style.display = 'none';
				}

			});
		{/if}
		{if $order_conf_url}
		//window.top.location.href = {$order_conf_url};
		document.getElementById('orderNextButton').click();
		{/if}
	</script>

{/block}
